
From: James Morris <jmorris@redhat.com>

This patch modifies the kernel's NFS mount data structure to include SELinux
context mount data.  It allows NFS fileystems to be labeled on a
per-mountpoint basis, and should not affect existing versions of userspace
mount.

(A patch to the userspace mount code is available at 
http://people.redhat.com/jmorris/selinux/context_mounts/)



---

 25-akpm/include/linux/nfs_mount.h |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN include/linux/nfs_mount.h~selinux-02-nfs-context-mounts include/linux/nfs_mount.h
--- 25/include/linux/nfs_mount.h~selinux-02-nfs-context-mounts	Wed Feb  4 13:51:05 2004
+++ 25-akpm/include/linux/nfs_mount.h	Wed Feb  4 13:51:05 2004
@@ -20,7 +20,8 @@
  * mount-to-kernel version compatibility.  Some of these aren't used yet
  * but here they are anyway.
  */
-#define NFS_MOUNT_VERSION	5
+#define NFS_MOUNT_VERSION	6
+#define NFS_MAX_CONTEXT_LEN	256
 
 struct nfs_mount_data {
 	int		version;		/* 1 */
@@ -41,6 +42,7 @@ struct nfs_mount_data {
 	unsigned int	bsize;			/* 3 */
 	struct nfs3_fh	root;			/* 4 */
 	int		pseudoflavor;		/* 5 */
+	char		context[NFS_MAX_CONTEXT_LEN + 1];	/* 6 */
 };
 
 /* bits in the flags field */

_
